commit:     a7aab5104a15a98b3de193b6a6b47b5688b36897
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Sat Nov 23 04:12:32 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Nov 23 04:12:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7aab510

dev-python/pytest-shutil: Bump to 1.7.0, RESTRICT for CI

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/pytest-shutil/Manifest                  |  1 +
 .../pytest-shutil/pytest-shutil-1.2.11.ebuild      |  1 +
 .../pytest-shutil/pytest-shutil-1.2.4.ebuild       |  1 +
 .../pytest-shutil/pytest-shutil-1.2.8.ebuild       |  2 ++
 ...til-1.2.4.ebuild => pytest-shutil-1.7.0.ebuild} | 25 +++++++++++++++++-----
 5 files changed, 25 insertions(+), 5 deletions(-)

diff --git a/dev-python/pytest-shutil/Manifest 
b/dev-python/pytest-shutil/Manifest
index 6c59168bd66..746c1da1417 100644
--- a/dev-python/pytest-shutil/Manifest
+++ b/dev-python/pytest-shutil/Manifest
@@ -1,3 +1,4 @@
 DIST pytest-shutil-1.2.11.tar.gz 18310 BLAKE2B 
a85f50a8a0e98de6dd71af0b27f76181b1ff80b518877155122998c3f8992c2749ebcc837d630dc19d60d988410eba8dc77b1be7faff7cf27003ebbba9194bcc
 SHA512 
2a998218bb997a6ceb277965e2f150b2d7722ba518f579154f804568f552e2c41ced9a491c1745382dc119d0b92f3ea993ae77a61851809aae59a1e17501bde8
 DIST pytest-shutil-1.2.4.tar.gz 16327 BLAKE2B 
eb5bb96c78be5b91de29f6c30634cb56a69e30b5ebee9b43a0e970691a7094dfefb83ea741650e0732ff60b9d08cc8ad94d80bb95f1222ba8670402c1fb1d5ab
 SHA512 
9ec6baa3cf53bb80103b1dfbf6c26794090c26dd74b29cd19e76b1037c6939538c7b05ea16368a76cce6969216c291e27b00833a990268239bfd2222f69ddfb4
 DIST pytest-shutil-1.2.8.tar.gz 17051 BLAKE2B 
9006ccd51bce6e5035ed93a330e460666bd0782fe56ef400f66de174914aa89b49d6684d1a3a2d2d69b308c4d8466db83eb0865ad20649106dac735b9d1e6772
 SHA512 
de73b2c350709e356810f58d2a8a4c7668144701639c45a0690081e707e7147762f650af2e9f826429d0488655dae0e3366611da5e8e3ecd0c6382e215170b2d
+DIST pytest-shutil-1.7.0.tar.gz 23497 BLAKE2B 
e13641491fb4bd448973b8004ac9ded2f9b7c412ea93af7f9206e5fc38ea7554073374116eeefc529d2ae35e8a25e678fef5a27089af89026077a72d11d6016d
 SHA512 
3746c08b17834621a7142ed9d5915b5c348c13367f5b423b258d3471bcb9c9e983c61c25ca936f879b8b82f80512512b7f3ade5555c24a790c72b502e3f3d144

diff --git a/dev-python/pytest-shutil/pytest-shutil-1.2.11.ebuild 
b/dev-python/pytest-shutil/pytest-shutil-1.2.11.ebuild
index 9baee13e9a7..10ae8992e31 100644
--- a/dev-python/pytest-shutil/pytest-shutil-1.2.11.ebuild
+++ b/dev-python/pytest-shutil/pytest-shutil-1.2.11.ebuild
@@ -29,6 +29,7 @@ DEPEND="
        dev-python/setuptools-git[${PYTHON_USEDEP}]
        test? ( ${RDEPEND} )
 "
+RESTRICT="!test? ( test )"
 
 python_test() {
        # various pickling errors, but code works to run pytest-virtualenv tests

diff --git a/dev-python/pytest-shutil/pytest-shutil-1.2.4.ebuild 
b/dev-python/pytest-shutil/pytest-shutil-1.2.4.ebuild
index d5bf9bb648c..f7965032f9f 100644
--- a/dev-python/pytest-shutil/pytest-shutil-1.2.4.ebuild
+++ b/dev-python/pytest-shutil/pytest-shutil-1.2.4.ebuild
@@ -28,6 +28,7 @@ RDEPEND="
 DEPEND="
        ${RDEPEND}
 "
+RESTRICT="!test? ( test )"
 
 python_test() {
        distutils_install_for_testing

diff --git a/dev-python/pytest-shutil/pytest-shutil-1.2.8.ebuild 
b/dev-python/pytest-shutil/pytest-shutil-1.2.8.ebuild
index d5bf9bb648c..63b0189b886 100644
--- a/dev-python/pytest-shutil/pytest-shutil-1.2.8.ebuild
+++ b/dev-python/pytest-shutil/pytest-shutil-1.2.8.ebuild
@@ -29,6 +29,8 @@ DEPEND="
        ${RDEPEND}
 "
 
+RESTRICT="!test? ( test )"
+
 python_test() {
        distutils_install_for_testing
 

diff --git a/dev-python/pytest-shutil/pytest-shutil-1.2.4.ebuild 
b/dev-python/pytest-shutil/pytest-shutil-1.7.0.ebuild
similarity index 60%
copy from dev-python/pytest-shutil/pytest-shutil-1.2.4.ebuild
copy to dev-python/pytest-shutil/pytest-shutil-1.7.0.ebuild
index d5bf9bb648c..d7a72037c4a 100644
--- a/dev-python/pytest-shutil/pytest-shutil-1.2.4.ebuild
+++ b/dev-python/pytest-shutil/pytest-shutil-1.7.0.ebuild
@@ -1,8 +1,8 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_5 )
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{5,6,7,8}} pypy{,3} )
 
 inherit distutils-r1
 
@@ -12,24 +12,39 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~hppa ~mips ~s390 ~sparc ~x86"
 IUSE="test"
 
 RDEPEND="
        dev-python/pytest[${PYTHON_USEDEP}]
-       dev-python/setuptools-git[${PYTHON_USEDEP}]
        dev-python/six[${PYTHON_USEDEP}]
        dev-python/contextlib2[${PYTHON_USEDEP}]
        dev-python/execnet[${PYTHON_USEDEP}]
        dev-python/path-py[${PYTHON_USEDEP}]
        dev-python/mock[${PYTHON_USEDEP}]
+       dev-python/termcolor[${PYTHON_USEDEP}]
 "
 
-DEPEND="
+BDEPEND="
        ${RDEPEND}
 "
 
+RESTRICT="!test? ( test )"
+
+python_prepare_all() {
+       # keeps trying to install this in tests
+       sed -i 's:path.py::' setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
 python_test() {
+       # at this point let's not fix python2 stuff
+       if ! python_is_python3; then
+               ewarn "Tests broken on python2, not runninge tests for 
${EPYTHON}"
+               return 0
+       fi
+
        distutils_install_for_testing
 
        esetup.py test || die "Tests failed under ${EPYTHON}"

Reply via email to